package org.springblade.modules.eventbus.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springblade.core.function.FunctionException;
import org.springframework.stereotype.Service;

import com.google.common.eventbus.Subscribe;
import com.nepxion.eventbus.annotation.EventBus;
@Service
@EventBus(identifier="abc",async = false)
public class MyIdentifierSubscriber {
	private static final Logger LOG = LoggerFactory.getLogger(MyIdentifierSubscriber.class);
	 @Subscribe
	 public void subscribe(String event) {
		LOG.info("子线程接收异步事件 - {}，String类型", event);
	    FunctionException.throwException("ddddddd");
	 }
}
